## org.biojava.bio.structure.gui.events
Interface AlignmentPositionListener

All Known Implementing Classes:
  JmolAlignedPositionListener

    public interface AlignmentPositionListener

Method Summary
`void` `mouseOverPosition(AlignedPosition p)`
`void` `positionSelected(AlignedPosition p)`
`void` `rangeSelected(AlignedPosition start, AlignedPosition end)`
`void` `selectionLocked()`
`void` `selectionUnlocked()`

Method Detail

### mouseOverPosition

    void mouseOverPosition(AlignedPosition p)

### positionSelected

    void positionSelected(AlignedPosition p)

### rangeSelected

    void rangeSelected(AlignedPosition start,
                       AlignedPosition end)

### selectionLocked

    void selectionLocked()

### selectionUnlocked

    void selectionUnlocked()